Bug 971386 - Fully specified requirement on sub packages
Fully specified requirement on sub packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
7.0
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Ondrej Vasik
Karel Srot
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 07:55 EDT by Pavel Raiskup
Modified: 2014-06-18 01:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: redhat-lsb-4.1-18.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:52:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix against Rawhide. (7.25 KB, patch)
2013-06-06 07:55 EDT, Pavel Raiskup
no flags Details | Diff

  None (edit)
Description Pavel Raiskup 2013-06-06 07:55:00 EDT
Created attachment 757640 [details]
Fix against Rawhide.

I observed on RHEL-7 box that if I do 'yum update redhat-lsb', only to main
package is updated when _only_ release is bumped.  Fixing the Requires like
s/%{version}/%{version}-%{release}/ should solve this.

I'm not sure if the provides should be also adjusted.  IMO we don't need to
have explicit provides, but in redhat-lsb are used.  So I rather adjusted it
the same way (I hope it is at least innocent).

Pavel
Comment 2 Ondrej Vasik 2013-08-08 09:18:35 EDT
Thanks for suggestion, fixed in redhat-lsb-4.1-18.el7 by http://bulk-mail.corp.redhat.com/archives/cvs-commits-list/2013-August/msg02298.html .
Comment 7 Ludek Smid 2014-06-13 08:52:56 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.